Improves the quality of a noisy image

- « Imagick::encipherImage

- Imagick::equalizeImage »

- PHP Manual
- Imagick
- Improves the quality of a noisy image

# Imagick::enhanceImage

(PECL imagick 2, PECL imagick 3)

Imagick::enhanceImage — Improves the quality of a noisy image

### Description

public Imagick::enhanceImage(): bool

Applies a digital filter that improves the quality of a noisy image.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::enhanceImage()

    <?phpfunction enhanceImage($imagePath) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->enhanceImage();    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>